Bug 987235 - Two inconsistent revisions created on an immediately approved/rejected entry
Two inconsistent revisions created on an immediately approved/rejected entry
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
development
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Patrick Huang
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 23:31 EDT by Damian Jansen
Modified: 2013-11-26 22:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:32:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-07-22 23:31:06 EDT
Description of problem:
When the translator+reviewer user presses Approve or Reject on a currently in-translation item, two entries for the first revision are created.
The first is shown as entered by "Someone Offline", the second by the user.

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Easily, always

Steps to Reproduce:
1. Go to a document that:
- The user is a translator for
- The user is a reviewer for
- Has an untranslated item
2. Enter some text into the untranslated item
3. Immediately press the Approve or Reject icons (i.e. do not save beforehand)
4. Click the History icon

Actual results:

DJ created a Approved revision
 text
23/07/13 13:27  Revision 1 Latest  Compare  Copy to Editor

(Someone offline) created a Approved revision
 ping
23/07/13 13:27  Revision 0  Compare  Copy to Editor

Expected results:
Should show either:
- One Approved revision
- Two revisions - one Translated, and one Approved - by the same user

Additional info:
Must be the first time a target is altered, eg. emptying the field, saving and then creating an approved revision does not cause the bug to manifest.
Comment 1 Patrick Huang 2013-07-23 20:56:37 EDT
commits in pull request:
https://github.com/zanata/zanata-server/pull/69
Comment 2 Damian Jansen 2013-08-08 22:11:50 EDT
Verified at be36d87e795bb0b5401f8bb233de339d7927aba8
Comment 3 Sean Flanigan 2013-11-26 22:32:38 EST
Closing VERIFIED bugs which predate Zanata 3.1.2.

Note You need to log in before you can comment on or make changes to this bug.